Problems compiling koffice-1.6.0

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Problems compiling koffice-1.6.0

STeve Andre'
This is on a -current system compiled on Nov 6th.

--STeve Andre'

bargle:office3 {119} make package
`/usr/ports/x11/kde/office3/w-koffice-1.6.0/fake-i386/.fake_done' is up to
date.
`/usr/ports/x11/kde/office3/w-koffice-1.6.0/build-i386/pkg/DESCR' is up to
date.
`/usr/ports/x11/kde/office3/w-koffice-1.6.0/build-i386/pkg/COMMENT' is up to
date.
===>  Building package for koffice-1.6.0
Create /usr/ports/packages/i386/all/koffice-1.6.0.tgz
Missing library for poppler
Can't resolve libspec poppler
*** Error code 1

Stop in /usr/ports/x11/kde/office3 (line 1291
of /usr/ports/infrastructure/mk/bsd.port.mk).
*** Error code 1

Stop in /usr/ports/x11/kde/office3 (line 1751
of /usr/ports/infrastructure/mk/bsd.port.mk).
27.7u 5.6s 0:35.91 93.0% 0+0k 331+147io 288pf+0w
bargle:office3 {120} vi Makefile

Reply | Threaded
Open this post in threaded view
|

Re: Problems compiling koffice-1.6.0

Marc Espie-2
On Wed, Nov 15, 2006 at 05:57:15PM -0500, STeve Andre' wrote:

> This is on a -current system compiled on Nov 6th.
>
> --STeve Andre'
>
> bargle:office3 {119} make package
> `/usr/ports/x11/kde/office3/w-koffice-1.6.0/fake-i386/.fake_done' is up to
> date.
> `/usr/ports/x11/kde/office3/w-koffice-1.6.0/build-i386/pkg/DESCR' is up to
> date.
> `/usr/ports/x11/kde/office3/w-koffice-1.6.0/build-i386/pkg/COMMENT' is up to
> date.
> ===>  Building package for koffice-1.6.0
> Create /usr/ports/packages/i386/all/koffice-1.6.0.tgz
> Missing library for poppler
> Can't resolve libspec poppler
> *** Error code 1

You're obviously doing something wrong.

It should tell you it's missing poppler when it's checking LIB_DEPENDS
at the start of the build.

So you either removed poppler during the build, or you're mixing stuff
from various releases.